5. Uploading Sync Utility Files

You can upload local runtime files that SCM must read during deployment, such as Siebel keystore and truststore files to the SCM-managed storage. The deployment payload must reference file paths that exist on the SCM host. You can upload these files to the SCM container by using the /syncutilities/upload API:

  • Method: POST
  • Endpoint: /syncutilities/upload
  • Description: Uploads local runtime configuration files to SCM-managed storage and returns the absolute file paths.
  • Sample API call request:
    POST /syncutilities/upload HTTP/1.1
    Host: https://<scm-host>/scm/api/v1.0
    Authorization: Bearer <token>
    Content-Type: multipart/form-data
    Form field: file[] = /path/to/siebelserverkeystore.jks
    Form field: file[] = /path/to/siebelclientkeystore.jks
    Form field: file[] = /path/to/siebeltruststore.jks
    Form field: file[] = /path/to/aiegressserverkeystore.jks
    Form field: file[] = /path/to/kafkakeystore.jks
    Form field: file[] = /path/to/kafkatruststore.jks
    Form field: file[] = /path/to/kafkaoauthtruststore.jks
  • Sample API call response:
    {
       "data": {
          "rejected_files": [],
          "sync_id": "SCM_FileSync_<date>_<id>",
          "synced_files": [
                "/home/opc/syncUtility/SCM_FileSync_<date>_<id>/siebelserverkeystore.jks",
                "/home/opc/syncUtility/SCM_FileSync_<date>_<id>/siebelclientkeystore.jks",
                "/home/opc/syncUtility/SCM_FileSync_<date>_<id>/siebeltruststore.jks",
                "/home/opc/syncUtility/SCM_FileSync_<date>_<id>/aiegressserverkeystore.jks",
                "/home/opc/syncUtility/SCM_FileSync_<date>_<id>/kafkakeystore.jks",
                "/home/opc/syncUtility/SCM_FileSync_<date>_<id>/kafkatruststore.jks",
                "/home/opc/syncUtility/SCM_FileSync_<date>_<id>/kafkaoauthtruststore.jks"
          ]
       },
       "message": "All files successfully synced.",
       "status": "success"
    }
Note:
  • The upload request uses the multipart form-data field file[].
  • SCM stores uploaded files in the /home/opc/syncUtility/{sync_id} directory.
  • Supported file extensions include .jks, .crt, .txt, .ini, .key, .sso, .p12, .properties, .pem, .ora, and.json
  • SCM rejects empty files and files larger than 1 MB.